- include_tasks: facts.yaml
- include_tasks: "{{ imgplan }}.yaml"
- include_tasks: plan.yaml
- include_tasks: rbac.yaml
- include_tasks: secrets.yaml
- include_tasks: upgrades.yaml
  when:
  - px_dc is defined
  - px_dc.resources is defined
  - px_dc.resources[0] is defined
  - px_dc.resources[0].spec is defined
  - px_dc.resources[0].spec.template is defined
  - px_dc.resources[0].spec.template.spec is defined
  - px_dc.resources[0].spec.template.spec.containers is defined
  - px_dc.resources[0].spec.template.spec.containers[0] is defined
  - px_dc.resources[0].spec.template.spec.containers[0].image is defined
  - not (px_dc.resources[0].spec.template.spec.containers[0].image is regex("postfix:" ~ postfix_tag))
- include_tasks: deploy.yaml
- include_tasks: verify.yaml
